Bug 187671 - external module builds fail under 2.6.16-1.2069_FC4-smp-i686
external module builds fail under 2.6.16-1.2069_FC4-smp-i686
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-02 10:05 EDT by Mark McClelland
Modified: 2015-01-04 17:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:39:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark McClelland 2006-04-02 10:05:45 EDT
DESCRIPTION:
I'm trying to build an external module under 2.6.16-1.2069_FC4-smp-i686, but
nothing gets compiled when I run "make" from the external module's directory.
This used to work perfectly under 2.6.15-1.1833_FC4-smp-i686. I don't have full
sources installed for either kernel, just the SMP kernel-devel packages.

WORKAROUND:
Run "make modules_prepare" from /usr/src/kernels/2.6.16-1.2069_FC4-smp-i686, as
documented in Documentation/kbuild/modules.txt.
Comment 1 Mark McClelland 2006-04-07 10:44:22 EDT
I failed to reproduce this on a different computer with 2.6.16-1.2080_FC5-i686.
The driver in both of these tests was: 
http://ovcam.org/ov511/download/2.xx/distros/ov511-2.32.tar.bz
Comment 2 Solomon Peachy 2006-04-19 13:05:34 EDT
Please note that the 2.6.16-1.2080_FC5 is an *FC5* kernel, not FC4.  But in any
case, it does not exhibit this bug.

So far, only 2.6.16-1.2069_FC4 (ie FC4-CURRENT) exhibits this problem. 
2.6.15-1.1833_FC4 does not.  Unfortunately

I can reproduce this reliably pn ppc and i686 using the linux-wlan-ng driver
suite.  It seems to be a packaging problem with the 2069_FC4 kernel.  The posted
workaround also appears to work.
Comment 3 Dave Jones 2006-05-28 23:51:53 EDT
Mark, is this still causing problems in the latest update ?
If so, can you check that you have the right kernel-devel package also installed ?
Comment 4 Mark McClelland 2006-06-01 18:45:29 EDT
I've updated to kernel-smp-2.6.16-1.2111_FC4 and it seems to be fixed now.
Comment 5 James B. DiGriz 2006-07-13 16:28:27 EDT
"rpm --rebuild --define 'kversion 2.6.17-1.2145_FC5' --define 'kvariants ""'
--target i686 http://www.flyn.org/SRPMS/linux-wlan-ng-tools-0.2.3-3.src.rpm" 
[the latter subject of Bug 190997 review request] exhibits the same behavior,
even with the make modules_prepare workaround. 
Comment 6 James B. DiGriz 2006-07-13 16:41:19 EDT
Ack. Make that:

"rpmbuild  --rebuild --define 'kversion 2.6.17-1.2145_FC5' --define 'kvariants ""'
--target i686
http://www.flyn.org/SRPMS/linux-wlan-ng-kmod-0.2.3-3.2.6.16-1.2096_FC5.src.rpm" 

Also please note the url appears to have been demagicked. 
Comment 7 Dave Jones 2006-09-16 22:17:02 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 8 Dave Jones 2006-10-16 17:19:15 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 Jon Stanley 2008-01-19 23:39:50 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.